Debian Bug report logs - #623390
lintian: Please add Ruby-Versions to known binary/dsc fields

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: vinc4mai@gmail.com

Date: Tue, 19 Apr 2011 19:42:02 UTC

Severity: wishlist

Tags: patch

Fixed in version lintian/2.5.0

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#623390; Package lintian. (Tue, 19 Apr 2011 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
New Bug report received and forwarded. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 19 Apr 2011 19:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Vincent Carmona <vinc4mai@gmail.com>, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: Please add Ruby-Versions to known binary/dsc fields
Date: Tue, 19 Apr 2011 21:35:54 +0200
Package: lintian
Severity: wishlist


On 2011-04-19 20:32, Vincent Carmona wrote:
> 2011/4/9 Vincent Carmona <vinc4mai@gmail.com>:
>> Hi lintian team.
>>
>> Ruby packaging is changing (see http://wiki.debian.org/Teams/Ruby/RubyInWheezy).
>> When checking my dsc file lintian return a warning:
>> ruby-globalhotkeys source: unknown-field-in-dsc ruby-versions
>>
>> In d/control I have XS-Ruby-Versions and XB-Ruby-Versions defined.
>>
>> They should be defined for all ruby packages in wheezy. Could you add
>> an exception to supress warnings ?
>>
>> --
>> Vincent Carmona
>>
> 
> I forget to say that I am not subscribed to this mailling list. Can
> you please cc me ?
> I do not see any response yet. If I am wrong please correct me.
> 
> 

I do not see a reply to it yet either, so I am opening a bug for it.

~Niels





Changed Bug submitter to 'vinc4mai@gmail.com' from 'Niels Thykier <niels@thykier.net>' Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 19 Apr 2011 19:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#623390; Package lintian. (Sun, 08 May 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@softwarelivre.org>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Sun, 08 May 2011 07:57:03 GMT) Full text and rfc822 format available.

Message #12 received at 623390@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@softwarelivre.org>
To: 623390@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch adding Ruby-Versions as a known binary/dsc field
Date: Sun, 8 May 2011 00:42:24 -0700
[Message part 1 (text/plain, inline)]
tags 623390 patch
thanks

Hello Lintian maintainers,

You will follow attached a patch that adds the Ruby-Versions field to
the lists of known fields for binary and source control files. This
field is used by the new infrastructure that the Debian Ruby team is
putting in place during the wheezy development cycle. 

Please consider including this patch in the next release of lintian.

-- 
Antonio Terceiro <terceiro@softwarelivre.org>
http://softwarelivre.org/terceiro


[0001-Add-Ruby-Versions-field-to-list-of-known-fields-Clos.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Antonio Terceiro <terceiro@softwarelivre.org> to control@bugs.debian.org. (Sun, 08 May 2011 07:57:07 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 10 May 2011 22:27:27 GMT) Full text and rfc822 format available.

Notification sent to vinc4mai@gmail.com:
Bug acknowledged by developer. (Tue, 10 May 2011 22:27:27 GMT) Full text and rfc822 format available.

Message #19 received at 623390-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 623390-close@bugs.debian.org
Subject: Bug#623390: fixed in lintian 2.5.0
Date: Tue, 10 May 2011 22:25:31 +0000
Source: lintian
Source-Version: 2.5.0

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_2.5.0.dsc
  to main/l/lintian/lintian_2.5.0.dsc
lintian_2.5.0.tar.gz
  to main/l/lintian/lintian_2.5.0.tar.gz
lintian_2.5.0_all.deb
  to main/l/lintian/lintian_2.5.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 623390@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 May 2011 20:44:32 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.0
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 588873 607694 614715 617991 622888 623390 623780 623878 624149 626038 626210
Changes: 
 lintian (2.5.0) unstable; urgency=low
 .
   * Summary of tag changes:
     + Added:
       - duplicate-files
       - format-3.0-but-debian-changes-patch
       - extended-description-contains-empty-paragraph
       - git-patches-not-exported
 .
   * checks/binaries:
     + [NT] Fixed false-positive embedded-library.  Lintian incorrectly
       assumed that none of these binary packages would contain a source
       version in their source field.  (Closes: #626038)
   * checks/copyright-file.desc:
     + [ADB] Correct a spelling mistake ("coypright" -> "copyright") in the
       description of copyright-refers-to-deprecated-bsd-license-file;
       thanks, Kees Cook.  (Closes: #623780)
   * checks/description{,.desc}:
     + [NT] Check for empty paragraphs in extended description.  Thanks to
       Gerfried Fuchs for the patch.
   * checks/duplicate-files{,.desc}:
     + [NT] Added to check for duplicate files in usr/share/doc.  Thanks to
       Axel Beckert for the suggestion.  (Closes: #614715)
   * check/fields:
     + [NT] Accepted pach from Antonio Terceiro to add Ruby-Version as a
       accepted field in binary packages.  Thanks to Vincent Carmona for
       the report.  (Closes: #623390)
   * check/files:
     + [NT] Accepted multiple patches (merged into one) from Marcelo Jorge
       Vieira to detect a number of new javascript libraries.
       (Closes: #623878)
   * checks/patch-systems{,.desc}:
     + [NT] Detect when 3.0 (quilt) packages have a debian-changes-VERSION
       patch without a patch header.  Thanks to Iain Lane for suggestion
       and patch.  (Closes: #588873)
   * checks/debian-source-dir{,.desc}:
     + [NT] Applied patch from David Bremner to enable
       git-patches-not-exported.  (Closes: #607694)
   * checks/java:
     + [NT] Tightened the regex for finding java libraries and restricted
       missing-classpath tag to only be emitted for packages that actually
       contain at least one jar file we check.  This fixes false-positives
       for packages that depended on libX-java-doc packages or packages
       that only contain jar files we ignore.
   * check/scripts{,.desc}:
     + [NT] Accepted patch from Antonio Terceiro to allow ruby-interpreter
       as alternative to ruby for /usr/bin/ruby scripts.
       (Closes: #626210)
 .
   * data/common/source-fields:
     + [NT] Accepted pach from Antonio Terceiro to add Ruby-Version as a
       accepted field in binary packages.  Thanks to Vincent Carmona for
       the report.
 .
   * lib/Lintian/ProcessableGroup.pm:
     + [NT] Properly handle if the changes file is located directly in the
       file system root.  Thanks to Trent W. Buck for the bug report.
       (Closes: #624149)
   * lib/Lintian/Tags.pm:
     + [NT] Allow overrides to use wildcards anywhere instead of only in
       the beginning or the end.  Thanks to Steve R. Langasek for the
       report.  (Closes: #617991)
     + [NT] Allow simple architecture overrides such as [i386] or [!i386].
       Architecture wildcards are not supported yet.  The actual syntax
       for the architecture the same as the one used in the Build-Depends.
       Thanks to Andreas Beckmann for the bug report and the solution
       proposal.  (Closes: #622888)
Checksums-Sha1: 
 e5ff5d46d2b702f03b72849c4bbf1100f93b3915 2402 lintian_2.5.0.dsc
 fa7a65c2fdf28b4b70aae5ce866a08f49b571fe9 924659 lintian_2.5.0.tar.gz
 5c5cc472d276835bc8e28f11bfb548ba26803d2c 585644 lintian_2.5.0_all.deb
Checksums-Sha256: 
 e343e2d8bebb2c5b5315c3c0e70948a988919364bfe4be8918bdc62f0dcd7af5 2402 lintian_2.5.0.dsc
 22b2ae111fd45809f7c8933b25069079cbbbfa0352b1212c12f4fd8235f97dea 924659 lintian_2.5.0.tar.gz
 e70932268f2ac11f2be032ad2dc07a761205940dbd71959cbf578ca75302082c 585644 lintian_2.5.0_all.deb
Files: 
 087aa590f74b65781e24571c3c31da07 2402 devel optional lintian_2.5.0.dsc
 bccd22190c9f171116eadb45322c6a65 924659 devel optional lintian_2.5.0.tar.gz
 29b06fe0632a663d9c096f4a2cb644ad 585644 devel optional lintian_2.5.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNyZlrAAoJEAVLu599gGRCylgP/1T6fvHkeDgKv1pET+jiDGG7
WTCr3UTTja3Wo0Nz/8Zx1OP0r7pCpqvIod4+YLvXWa+Nd1ZG3rskgGX83zMM065n
aYdIrhUsv7XauT0A509Ddpj6yOTeTZv9wx1/Vn6qu3CkiPx6oc+DrOs5F/8CXz+E
fhq6l5pwPUkvqYpx29DpHW/levX8nuSk8h7yexDMAZ6c5hQn4I7EoOBrhOHpU5QM
NkveAkmYe+ZnpoKF3QW9mQVy8wkx9WdBST0ivmDI3Zpz1bNYArkJfEWL+CbvL85V
QF6LjToQywItQk8l9X639by3YFt3SF4esVjA7L8f7/ZvUCdhkkY1BZxX+mnDavKr
TWkFQTYaz/RLB9kEU7RqrSG1y6nsFOnj7kkWOZaQ0rT6D+mScL1rzojP96C9cWEf
Gl+8Y/INrEXfmX4uVrBXyCSQWBBOoucEl1C12MxI1dcDAi11a9YVYG0pl0XWeiJR
ZIGad5t5PxRuI3LpJtM9r+022Bf6lFP76SfCShe5rlGbY7ApxUSTT7tDlWJYfJfO
+StB4A8eR6EBGwCSRLD1eXHz2hzy4nHoHTyygwNGPodhp23eY9DrzIYXlxySedZe
tNygnS6XujZcS0CRTrtSpf9EYuyncvQBLFJeMwLD+Y+z9FnHyTJlup2j0fp0vwg0
P4IzHcH96P7xPCrVOCbZ
=sKoJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 19 Jun 2011 07:36:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:12:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.